Signed-off-by: Felix Bolte <bolte.felix@gmail.com>

Index: src/tags.cpp
===================================================================
--- src/tags.cpp	(revision 3839)
+++ src/tags.cpp	(working copy)
@@ -2320,8 +2320,16 @@
         if (value.typeId() == unsignedByte && value.size() > 0) {
             DataBuf buf(value.size());
             value.copy(buf.pData_, invalidByteOrder);
-            // Strip trailing UCS-2 0-character, if there is one
-            if (buf.pData_[buf.size_ - 1] == 0 && buf.pData_[buf.size_ - 2] == 0)  buf.size_ -= 2;
+            // Strip trailing odd byte due to failing UCS-2 conversion
+            if (buf.size_ % 2 == 1)  buf.size_ -=1;
+            // Strip trailing UCS-2 0-characters, if there are some
+            while (buf.size_ >= 2) {
+                if (buf.pData_[buf.size_ - 1] == 0 && buf.pData_[buf.size_ - 2] == 0) {
+                    buf.size_ -= 2;
+                } else {
+                    break;
+                }
+            }
             std::string str((const char*)buf.pData_, buf.size_);
             cnv = convertStringCharset(str, "UCS-2LE", "UTF-8");
             if (cnv) os << str;
